package com.example.petstoremobile.dtos;

//Used to send login data to the backend
public class AuthDTO {
    public static class LoginRequest {
        private String username;
        private String password;

        public LoginRequest(String username, String password) {
            this.username = username;
            this.password = password;
        }

        public String getUsername() { return username; }
        public String getPassword() { return password; }
    }

    //Used to receive login data from the backend
    public static class LoginResponse {
        private String token;
        private String username;
        private String role;

        public String getToken() { return token; }
        public String getUsername() { return username; }
        public String getRole() { return role; }
    }

    //Used to get logged in profile
    public static class UserResponse {
        private Long id;
        private String username;
        private String email;
        private String fullName;
        private String avatarUrl;
        private String role;
        private Long storeId;
        private String storeName;

        public Long getId() { return id; }
        public String getUsername() { return username; }
        public String getEmail() { return email; }
        public String getFullName() { return fullName; }
        public String getAvatarUrl() { return avatarUrl; }
        public String getRole() { return role; }
        public Long getStoreId() { return storeId; }
        public String getStoreName() { return storeName; }
    }
}
